# Evtfl


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'evtfl'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install evtfl

## Usage

```rb
# add your api key from Eventful

Eventful.configure('my_api_key')

# then search a band

radiohead = Eventful::Artist.search('radiohead')

# will return "A valid application key is required." if there is no valid api_key
# otherwise will return an Artist class with the following attributes: 
# name
# short_bio
# id
# url

# now search concerts

radiohead.concerts

# the concerts will be in an array you can loop over
# concerts have the following attributes:
# country
# city
# url
# title
# id

```

The artist fetched will be the most popular with the name provided. There are rare circumstances where it won't be your desired artist.
