# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "evtfl/version"

Gem::Specification.new do |spec|
  spec.name          = "evtfl"
  spec.version       = Evtfl::VERSION
  spec.authors       = ["tobyond"]
  spec.email         = [""]

  spec.summary       = %q{Ruby gem for accessiong Eventful api}
  spec.description   = %q{Search bands and concerts}
  spec.homepage      = "https://github.com/tobyond/evtfl"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock"
end
